#include <Wire.h>

void setup() {
  Wire.setClock(100000);
  Wire.begin(4);                // join i2c bus with address #8
  Wire.onReceive(receiveEvent); // register event
  Serial.begin(9600);           // start serial for output
}

void loop() {
  delay(100);
}

// function that executes whenever data is received from master
// this function is registered as an event, see setup()
void receiveEvent(int howMany) {
  if(howMany > 0){
    while(Wire.available() > 0) { // loop through all but the last
      int c = Wire.read(); 
      Serial.println(c);
    }  
  } 
}

